﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %> 
<%@ Register Tagprefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="IgGridExportTestWebPartUserControl.ascx.cs" Inherits="Advisories.IgGridExportTestWebPart.IgGridExportTestWebPartUserControl" %>

<script src="http://igniteui.com/js/modernizr.min.js"></script>
<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
<script src="http://igniteui.com/js/external/FileSaver.js"></script>
<script src="http://igniteui.com/js/external/Blob.js"></script>
<script src="http://cdn-na.infragistics.com/igniteui/2016.1/latest/js/infragistics.loader.js"></script>

<script type="text/javascript">
    $(function () {
        $.ig.loader({
            scriptPath: "http://cdn-na.infragistics.com/igniteui/2016.1/latest/js/",
            cssPath: "http://cdn-na.infragistics.com/igniteui/2016.1/latest/css/",
            resources: 'igGrid,' +
            'modules/infragistics.documents.core.js,' +
            'modules/infragistics.excel.js,' +
            'modules/infragistics.gridexcelexporter.js'
        });

        $.ig.loader(function () {
            $(function () {
                var data = [{
                    'ProductID': 1,
                    'Name': 'Omnis ut illum nisi.',
                    'ProductNumber': '2973311236'
                }, {
                    'ProductID': 2,
                    'Name': 'Quis quibusdam qui.',
                    'ProductNumber': '5907101619'
                }, {
                    'ProductID': 3,
                    'Name': 'Sint laudantium et.',
                    'ProductNumber': '3057803521'
                }, {
                    'ProductID': 17,
                    'Name': 'Tempore eos.',
                    'ProductNumber': '3576608248'
                }, {
                    'ProductID': 18,
                    'Name': 'Maiores aut ducimus.',
                    'ProductNumber': '7079645227'
                }, {
                    'ProductID': 19,
                    'Name': 'Vel inventore.',
                    'ProductNumber': '191484500'
                }, {
                    'ProductID': 20,
                    'Name': 'Ut molestiae.',
                    'ProductNumber': '2994899561'
                }, {
                    'ProductID': 31,
                    'Name': 'Nihil magnam aut ut.',
                    'ProductNumber': '5652753011'
                }, {
                    'ProductID': 32,
                    'Name': 'Repellendus dolorum.',
                    'ProductNumber': '8807902556'
                }, {
                    'ProductID': 43,
                    'Name': 'Odit ut quo minus.',
                    'ProductNumber': '1083007847'
                }
                ];

                $("#grid").igGrid({
                    autoGenerateColumns: false,
                    width: "100%",
                    height: "200px",
                    columns: [{
                        key: "ProductID",
                        headerText: "Product ID",
                        width: "100px",
                        dataType: "number"
                    }, {
                        key: "Name",
                        headerText: "Product Name",
                        width: "150px",
                        dataType: "string"
                    }, {
                        key: "ProductNumber",
                        headerText: "Product Number",
                        width: "200px",
                        dataType: "number"
                    }
                    ],
                    dataSource: data,
                    primaryKey: "ProductID"
                });

                $("#exportButton").on("click", function () {
                    $.ig.GridExcelExporter.exportGrid($("#grid"), {
                        fileName: "igGrid"
                    });
                });
            });
        });
    });
</script>

<table id="grid"></table><br />
<input type="button" id="exportButton" value="Export"></input>